GpgFrontend Project A Free, Powerful, Easy-to-Use, Compact, Cross-Platform, and Installation-Free OpenPGP(pgp) Crypto Tool.

Public Types | Static Public Attributes | List of all members
GpgFrontend::UI::MainWindow::CryptoMenu Struct Reference
Collaboration diagram for GpgFrontend::UI::MainWindow::CryptoMenu:

## Public Types
using | OperationType = unsigned int

## Static Public Attributes
static constexpr OperationType | None = 0
static constexpr OperationType | Encrypt = 1 << 0
static constexpr OperationType | Sign = 1 << 1
static constexpr OperationType | Decrypt = 1 << 2
static constexpr OperationType | Verify = 1 << 3
static constexpr OperationType | EncryptAndSign = 1 << 4
static constexpr OperationType | DecryptAndVerify = 1 << 5

The documentation for this struct was generated from the following file:

- src/ui/main_window/MainWindow.h